Subject: Re: [PATCH net-next v2 0/5] bonding: patchset for rcu use in bonding

From: Veaceslav Falico <[email-masked]>
Date: Sun, 27 Oct 2013 23:10:27 +0100

On Sun, Oct 27, 2013 at 05:44:58PM -0400, David Miller wrote:
>From: Veaceslav Falico <[email-masked]>
>Date: Sun, 27 Oct 2013 22:10:48 +0100
>
>> All the changelogs for the patches are *the same*, and, while they try
>> to
>> explain what's done overall, the don't explain what's done per-patch,
>> why
>> it's done and why is it safe to move those locks around.
>
>He did say so, he listed in fact three alternative ways to fix the
>locking problem and then explciitly stated which of the three he
>choose.

He just rephrased me - http://www.spinics.net/lists/netdev/msg254618.html .

And still the patches didn't say how he did it and why is it safe/good to
do it the way he did it. That's, basically, code without commit messages,
which touches really sensitive parts. As I've said in the above link, it's
really hard to review them this way.

>
>I would have preferred that he did all of this in the initial 0/N
>patch posting, but I can't defer forever.

Maybe I'm too picky. Anyway - understood, thanks.